package com.loafle.overflow.module.apikey.service;

import com.loafle.overflow.module.apikey.dao.ApiKeyDAO;
import com.loafle.overflow.module.apikey.model.ApiKey;
import com.loafle.overflow.module.domain.model.Domain;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by snoop on 17. 6. 28.
 */
@Service("ApiKeyService")
public class ApiKeyService {


    @Autowired
    private ApiKeyDAO apiKeyDAO;


    public ApiKey regist(ApiKey apiKey) {

        return this.apiKeyDAO.save(apiKey);
    }

    public ApiKey readByDomain(Domain domain) {
        return this.apiKeyDAO.findByDomain(domain);
    }

    public boolean check(String apiKey) {

        ApiKey retApiKey = this.apiKeyDAO.findByApiKey(apiKey);

        if(retApiKey == null) {
            return false;
        }

        return true;
    }

}
