package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.dao.MetaInfraVendorDAO;
import com.loafle.overflow.module.meta.model.MetaInfraType;
import com.loafle.overflow.module.meta.model.MetaInfraVendor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaInfraVendorService")
public class MetaInfraVendorService {

    @Autowired
    private MetaInfraVendorDAO infraVendorDAO;

    public List<MetaInfraVendor> readAllByMetaInfraType(MetaInfraType infraType) {
        return this.infraVendorDAO.findAllByInfraType(infraType);
    }

}
